Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/xhtml/param.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/xhtml/param.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/xhtml/param.xsl	(revision aaab3da7d0e35faf06060eb63418bcd8b4c94706)
@@ -3,5 +3,5 @@
 <!--from the HTML stylesheets.-->
 <!-- This file is generated from param.xweb -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:src="http://nwalsh.com/xmlns/litprog/fragment" xmlns="http://docbook.org/ns/docbook" exclude-result-prefixes="src" version="1.0">
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">
 
 <!-- ********************************************************************
@@ -15,5 +15,5 @@
      ******************************************************************** -->
 
-<xsl:param name="admon.graphics.extension" select="'.png'"/>
+<xsl:param name="admon.graphics.extension">.png</xsl:param>
 <xsl:param name="admon.graphics" select="0"/>
 <xsl:param name="admon.graphics.path">images/</xsl:param>
@@ -66,31 +66,36 @@
                      }
 </xsl:param>
-<xsl:param name="annotation.js" select="'http://docbook.sourceforge.net/release/script/AnchorPosition.js http://docbook.sourceforge.net/release/script/PopupWindow.js'"/>
-<xsl:param name="annotation.graphic.open" select="'http://docbook.sourceforge.net/release/images/annot-open.png'"/>
-<xsl:param name="annotation.graphic.close" select="'http://docbook.sourceforge.net/release/images/annot-close.png'"/>
+
+<xsl:param name="annotation.js">
+<xsl:text>http://docbook.sourceforge.net/release/script/AnchorPosition.js http://docbook.sourceforge.net/release/script/PopupWindow.js</xsl:text></xsl:param>
+
+<xsl:param name="annotation.graphic.open">http://docbook.sourceforge.net/release/images/annot-open.png</xsl:param>
+<xsl:param name="annotation.graphic.close">
+http://docbook.sourceforge.net/release/images/annot-close.png</xsl:param>
 <xsl:param name="annotation.support" select="0"/>
-<xsl:param name="appendix.autolabel" select="'A'"/>
+<xsl:param name="appendix.autolabel">A</xsl:param>
 <xsl:param name="author.othername.in.middle" select="1"/>
-<xsl:param name="autotoc.label.separator" select="'. '"/>
+<xsl:param name="autotoc.label.separator">. </xsl:param>
 <xsl:param name="autotoc.label.in.hyperlink" select="1"/>
-<xsl:param name="base.dir" select="''"/>
+<xsl:param name="base.dir"/>
 <xsl:param name="biblioentry.item.separator">. </xsl:param>
-<xsl:param name="bibliography.collection" select="'http://docbook.sourceforge.net/release/bibliography/bibliography.xml'"/>
+<xsl:param name="bibliography.collection">http://docbook.sourceforge.net/release/bibliography/bibliography.xml</xsl:param>
+
 <xsl:param name="bibliography.numbered" select="0"/>
-<xsl:param name="bibliography.style" select="'normal'"/>
-<xsl:param name="blurb.on.titlepage.enabled">0</xsl:param>
+<xsl:param name="bibliography.style">normal</xsl:param>
+<xsl:param name="blurb.on.titlepage.enabled" select="0"/>
 <xsl:param name="bridgehead.in.toc" select="0"/>
-<xsl:param name="callout.defaultcolumn" select="'60'"/>
-<xsl:param name="callout.graphics.extension" select="'.png'"/>
-
-<xsl:param name="callout.graphics" select="'1'"/>
-<xsl:param name="callout.graphics.number.limit" select="'15'"/>
-
-<xsl:param name="callout.graphics.path" select="'images/callouts/'"/>
-<xsl:param name="callout.list.table" select="'1'"/>
+<xsl:param name="callout.defaultcolumn">60</xsl:param>
+<xsl:param name="callout.graphics.extension">.png</xsl:param>
+
+<xsl:param name="callout.graphics" select="1"/>
+<xsl:param name="callout.graphics.number.limit">15</xsl:param>
+
+<xsl:param name="callout.graphics.path">images/callouts/</xsl:param>
+<xsl:param name="callout.list.table" select="1"/>
 <xsl:param name="callout.unicode" select="0"/>
-<xsl:param name="callout.unicode.number.limit" select="'10'"/>
-<xsl:param name="callout.unicode.start.character" select="10102"/>
-<xsl:param name="callouts.extension" select="'1'"/>
+<xsl:param name="callout.unicode.number.limit">10</xsl:param>
+<xsl:param name="callout.unicode.start.character">10102</xsl:param>
+<xsl:param name="callouts.extension" select="1"/>
 <xsl:param name="chapter.autolabel" select="1"/>
 <xsl:param name="chunk.append"/>
@@ -98,14 +103,14 @@
 <xsl:param name="chunk.quietly" select="0"/>
 <xsl:param name="chunk.section.depth" select="1"/>
-<xsl:param name="chunk.toc" select="''"/>
+<xsl:param name="chunk.toc"/>
 <xsl:param name="chunk.tocs.and.lots" select="0"/>
 <xsl:param name="chunk.tocs.and.lots.has.title" select="1"/>
 <xsl:param name="chunk.separate.lots" select="0"/>
-<xsl:param name="citerefentry.link" select="'0'"/>
-<xsl:param name="collect.xref.targets" select="'no'"/>
+<xsl:param name="citerefentry.link" select="0"/>
+<xsl:param name="collect.xref.targets">no</xsl:param>
 <xsl:param name="component.label.includes.part.label" select="0"/>
 <xsl:param name="contrib.inline.enabled">1</xsl:param>
 <xsl:param name="css.decoration" select="1"/>
-<xsl:param name="current.docid" select="''"/> 
+<xsl:param name="current.docid"/>
 <xsl:param name="default.float.class">
   <xsl:choose>
@@ -114,13 +119,13 @@
   </xsl:choose>
 </xsl:param>
-<xsl:param name="default.image.width" select="''"/>
-<xsl:param name="default.table.width" select="''"/>
-<xsl:param name="default.table.frame" select="'all'"/>
-<xsl:param name="draft.mode" select="'maybe'"/>
-<xsl:param name="draft.watermark.image" select="'http://docbook.sourceforge.net/release/images/draft.png'"/>
-<xsl:param name="ebnf.table.bgcolor" select="'#F5DCB3'"/>
+<xsl:param name="default.image.width"/>
+<xsl:param name="default.table.width"/>
+<xsl:param name="default.table.frame">all</xsl:param>
+<xsl:param name="draft.mode">maybe</xsl:param>
+<xsl:param name="draft.watermark.image">http://docbook.sourceforge.net/release/images/draft.png</xsl:param>
+<xsl:param name="ebnf.table.bgcolor">#F5DCB3</xsl:param>
 <xsl:param name="ebnf.table.border" select="1"/>
 <xsl:param name="ebnf.assignment">
-<code xmlns="http://www.w3.org/1999/xhtml">::=</code>
+<code>::=</code>
 </xsl:param>
 
@@ -132,11 +137,11 @@
 <xsl:param name="eclipse.plugin.provider">Example provider</xsl:param>
 <xsl:param name="editedby.enabled">1</xsl:param>
-<xsl:param name="email.delimiters.enabled">1</xsl:param>
+<xsl:param name="email.delimiters.enabled" select="1"/>
 <xsl:param name="emphasis.propagates.style" select="1"/>
 <xsl:param name="entry.propagates.style" select="1"/>
 <xsl:param name="firstterm.only.link" select="0"/>
 <xsl:param name="footer.rule" select="1"/>
-<xsl:param name="footnote.number.format" select="'1'"/>
-<xsl:param name="footnote.number.symbols" select="''"/>
+<xsl:param name="footnote.number.format">1</xsl:param>
+<xsl:param name="footnote.number.symbols"/>
 <xsl:param name="formal.procedures" select="1"/>
 <xsl:param name="formal.title.placement">
@@ -150,6 +155,6 @@
 <xsl:param name="funcsynopsis.decoration" select="1"/>
 <xsl:param name="funcsynopsis.style">kr</xsl:param>
-<xsl:param name="funcsynopsis.tabular.threshold" select="40"/>
-<xsl:param name="function.parens">0</xsl:param>
+<xsl:param name="funcsynopsis.tabular.threshold">40</xsl:param>
+<xsl:param name="function.parens" select="0"/>
 <xsl:param name="generate.id.attributes" select="0"/>
 <xsl:param name="generate.index" select="1"/>
@@ -179,7 +184,7 @@
 </xsl:param>
 
-<xsl:param name="glossary.collection" select="''"/>
+<xsl:param name="glossary.collection"/>
 <xsl:param name="glossary.sort" select="0"/>
-<xsl:param name="glossentry.show.acronym" select="'no'"/>
+<xsl:param name="glossentry.show.acronym">no</xsl:param>
 <xsl:param name="glossterm.auto.link" select="0"/>
 <xsl:param name="graphic.default.extension"/>
@@ -187,12 +192,12 @@
 <xsl:param name="graphicsize.use.img.src.path" select="0"/>
 <xsl:param name="header.rule" select="1"/>
-<xsl:param name="highlight.default.language" select="''"/>
+<xsl:param name="highlight.default.language"/>
 <xsl:param name="highlight.source" select="0"/>
 <xsl:param name="html.append"/>
 <xsl:param name="html.base"/>
-<xsl:param name="html.cellpadding" select="''"/>
-<xsl:param name="html.cellspacing" select="''"/>
+<xsl:param name="html.cellpadding"/>
+<xsl:param name="html.cellspacing"/>
 <xsl:param name="html.cleanup" select="1"/>
-<xsl:param name="html.ext" select="'.html'"/>
+<xsl:param name="html.ext">.html</xsl:param>
 <xsl:param name="html.extra.head.links" select="0"/>
 <xsl:param name="html.head.legalnotice.link.types">copyright</xsl:param>
@@ -200,7 +205,7 @@
 <xsl:param name="html.longdesc" select="1"/>
 <xsl:param name="html.longdesc.link" select="$html.longdesc"/>
-<xsl:param name="html.stylesheet" select="''"/>
+<xsl:param name="html.stylesheet"/>
 <xsl:param name="html.stylesheet.type">text/css</xsl:param>
-<xsl:param name="htmlhelp.alias.file" select="'alias.h'"/>
+<xsl:param name="htmlhelp.alias.file">alias.h</xsl:param>
 <xsl:param name="htmlhelp.autolabel" select="0"/>
 <xsl:param name="htmlhelp.button.back" select="1"/>
@@ -210,8 +215,8 @@
 <xsl:param name="htmlhelp.button.home.url"/>
 <xsl:param name="htmlhelp.button.jump1" select="0"/>
-<xsl:param name="htmlhelp.button.jump1.title" select="'User1'"/>
+<xsl:param name="htmlhelp.button.jump1.title">User1</xsl:param>
 <xsl:param name="htmlhelp.button.jump1.url"/>
 <xsl:param name="htmlhelp.button.jump2" select="0"/>
-<xsl:param name="htmlhelp.button.jump2.title" select="'User2'"/>
+<xsl:param name="htmlhelp.button.jump2.title">User2</xsl:param>
 <xsl:param name="htmlhelp.button.jump2.url"/>
 <xsl:param name="htmlhelp.button.locate" select="0"/>
@@ -223,8 +228,8 @@
 <xsl:param name="htmlhelp.button.stop" select="0"/>
 <xsl:param name="htmlhelp.button.zoom" select="0"/>
-<xsl:param name="htmlhelp.chm" select="'htmlhelp.chm'"/>
-<xsl:param name="htmlhelp.default.topic" select="''"/>
+<xsl:param name="htmlhelp.chm">htmlhelp.chm</xsl:param>
+<xsl:param name="htmlhelp.default.topic"/>
 <xsl:param name="htmlhelp.display.progress" select="1"/>
-<xsl:param name="htmlhelp.encoding" select="'iso-8859-1'"/>
+<xsl:param name="htmlhelp.encoding">iso-8859-1</xsl:param>
 <xsl:param name="htmlhelp.enhanced.decompilation" select="0"/>
 <xsl:param name="htmlhelp.enumerate.images" select="0"/>
@@ -232,14 +237,14 @@
 <xsl:param name="htmlhelp.hhc.binary" select="1"/>
 <xsl:param name="htmlhelp.hhc.folders.instead.books" select="1"/>
-<xsl:param name="htmlhelp.hhc" select="'toc.hhc'"/>
-<xsl:param name="htmlhelp.hhc.section.depth" select="5"/>
+<xsl:param name="htmlhelp.hhc">toc.hhc</xsl:param>
+<xsl:param name="htmlhelp.hhc.section.depth">5</xsl:param>
 <xsl:param name="htmlhelp.hhc.show.root" select="1"/>
 <xsl:param name="htmlhelp.hhc.width"/>
-<xsl:param name="htmlhelp.hhk" select="'index.hhk'"/>
-<xsl:param name="htmlhelp.hhp" select="'htmlhelp.hhp'"/>
+<xsl:param name="htmlhelp.hhk">index.hhk</xsl:param>
+<xsl:param name="htmlhelp.hhp">htmlhelp.hhp</xsl:param>
 <xsl:param name="htmlhelp.hhp.tail"/>
-<xsl:param name="htmlhelp.hhp.window" select="'Main'"/>
+<xsl:param name="htmlhelp.hhp.window">Main</xsl:param>
 <xsl:param name="htmlhelp.hhp.windows"/>
-<xsl:param name="htmlhelp.map.file" select="'context.h'"/>
+<xsl:param name="htmlhelp.map.file">context.h</xsl:param>
 <xsl:param name="htmlhelp.only" select="0"/>
 <xsl:param name="htmlhelp.remember.window.position" select="0"/>
@@ -248,30 +253,31 @@
 <xsl:param name="htmlhelp.show.menu" select="0"/>
 <xsl:param name="htmlhelp.show.toolbar.text" select="1"/>
-<xsl:param name="htmlhelp.title" select="''"/>
+<xsl:param name="htmlhelp.title"/>
 <xsl:param name="htmlhelp.use.hhk" select="0"/>
 <xsl:param name="htmlhelp.window.geometry"/>
 <xsl:param name="img.src.path"/>
 <xsl:param name="id.warnings" select="0"/>
-<xsl:param name="index.method" select="'basic'"/>
+<xsl:param name="index.method">basic</xsl:param>
 <xsl:param name="index.on.role" select="0"/>
 <xsl:param name="index.on.type" select="0"/>
-<xsl:param name="index.number.separator" select="''"/>
-<xsl:param name="index.term.separator" select="''"/>
-<xsl:param name="index.range.separator" select="''"/>
+<xsl:param name="index.number.separator"/>
+<xsl:param name="index.term.separator"/>
+<xsl:param name="index.range.separator"/>
 <xsl:param name="index.prefer.titleabbrev" select="0"/>
 <xsl:param name="ignore.image.scaling" select="0"/>
-<xsl:param name="inherit.keywords" select="'1'"/>
+<xsl:param name="inherit.keywords" select="1"/>
 <xsl:param name="insert.xref.page.number">no</xsl:param>
+<xsl:param name="javahelp.encoding">iso-8859-1</xsl:param>
 <xsl:param name="keep.relative.image.uris" select="1"/>
 
-<xsl:param name="l10n.gentext.default.language" select="'en'"/>
-<xsl:param name="l10n.gentext.language" select="''"/>
+<xsl:param name="l10n.gentext.default.language">en</xsl:param>
+<xsl:param name="l10n.gentext.language"/>
 <xsl:param name="l10n.gentext.use.xref.language" select="0"/>
 <xsl:param name="l10n.lang.value.rfc.compliant" select="1"/>
-<xsl:param name="label.from.part" select="'0'"/>
-<xsl:param name="linenumbering.everyNth" select="'5'"/>
-<xsl:param name="linenumbering.extension" select="'1'"/>
-<xsl:param name="linenumbering.separator" select="' '"/>
-<xsl:param name="linenumbering.width" select="'3'"/>
+<xsl:param name="label.from.part" select="0"/>
+<xsl:param name="linenumbering.everyNth">5</xsl:param>
+<xsl:param name="linenumbering.extension" select="1"/>
+<xsl:param name="linenumbering.separator"><xsl:text> </xsl:text></xsl:param>
+<xsl:param name="linenumbering.width">3</xsl:param>
 <xsl:param name="link.mailto.url"/>
 <xsl:param name="make.graphic.viewport" select="1"/>
@@ -279,10 +285,11 @@
 <xsl:param name="make.valid.html" select="1"/>
 <xsl:param name="make.year.ranges" select="0"/>
-<xsl:param name="manifest" select="'HTML.manifest'"/>
+    <xsl:param name="manifest">HTML.manifest</xsl:param>
+    
 <xsl:param name="manifest.in.base.dir" select="0"/>
-<xsl:param name="manual.toc" select="''"/>
+<xsl:param name="manual.toc"/>
 <xsl:param name="menuchoice.menu.separator"> &#8594; </xsl:param>
-<xsl:param name="menuchoice.separator" select="'+'"/>
-<xsl:param name="navig.graphics.extension" select="'.gif'"/>
+<xsl:param name="menuchoice.separator">+</xsl:param>
+<xsl:param name="navig.graphics.extension">.gif</xsl:param>
 <xsl:param name="navig.graphics" select="0"/>
 <xsl:param name="navig.graphics.path">images/</xsl:param>
@@ -290,6 +297,6 @@
 <xsl:param name="nominal.image.depth" select="4 * $pixels.per.inch"/>
 <xsl:param name="nominal.image.width" select="6 * $pixels.per.inch"/>
-<xsl:param name="nominal.table.width" select="'6in'"/>
-<xsl:param name="olink.base.uri" select="''"/> 
+<xsl:param name="nominal.table.width">6in</xsl:param>
+<xsl:param name="olink.base.uri"/>
 <xsl:param name="olink.debug" select="0"/>
 <xsl:attribute-set name="olink.properties">
@@ -299,40 +306,40 @@
 <xsl:param name="insert.olink.pdf.frag" select="0"/>
 <xsl:param name="prefer.internal.olink" select="0"/>
-<xsl:param name="olink.lang.fallback.sequence" select="''"/> 
-<xsl:param name="olink.doctitle" select="'no'"/> 
-<xsl:param name="olink.fragid" select="'fragid='"/>
-<xsl:param name="olink.outline.ext" select="'.olink'"/>
-<xsl:param name="olink.pubid" select="'pubid='"/>
-<xsl:param name="olink.resolver" select="'/cgi-bin/olink'"/>
-<xsl:param name="olink.sysid" select="'sysid='"/>
-<xsl:param name="abstract.notitle.enabled">0</xsl:param>
+<xsl:param name="olink.lang.fallback.sequence"/>
+<xsl:param name="olink.doctitle">no</xsl:param> 
+<xsl:param name="olink.fragid">fragid=</xsl:param>
+<xsl:param name="olink.outline.ext">.olink</xsl:param>
+<xsl:param name="olink.pubid">pubid</xsl:param>
+  <xsl:param name="olink.resolver">/cgi-bin/olink</xsl:param>
+<xsl:param name="olink.sysid">sysid</xsl:param>
+<xsl:param name="abstract.notitle.enabled" select="0"/>
 <xsl:param name="othercredit.like.author.enabled">0</xsl:param>
 <xsl:param name="para.propagates.style" select="1"/>
-<xsl:param name="part.autolabel" select="'I'"/>
+<xsl:param name="part.autolabel">I</xsl:param>
 <xsl:param name="phrase.propagates.style" select="1"/>
-<xsl:param name="pixels.per.inch" select="90"/>
-<xsl:param name="points.per.em" select="10"/>
+<xsl:param name="pixels.per.inch">90</xsl:param>
+<xsl:param name="points.per.em">10</xsl:param>
 <xsl:param name="preface.autolabel" select="0"/>
 <xsl:param name="preferred.mediaobject.role"/>
 <xsl:param name="process.empty.source.toc" select="0"/>
 <xsl:param name="process.source.toc" select="0"/>
-<xsl:param name="profile.arch" select="''"/>
-<xsl:param name="profile.audience" select="''"/>
-<xsl:param name="profile.attribute" select="''"/>
-<xsl:param name="profile.condition" select="''"/>
-<xsl:param name="profile.conformance" select="''"/>
-<xsl:param name="profile.lang" select="''"/>
-<xsl:param name="profile.os" select="''"/>
-<xsl:param name="profile.revision" select="''"/>
-<xsl:param name="profile.revisionflag" select="''"/>
-<xsl:param name="profile.role" select="''"/>
-<xsl:param name="profile.security" select="''"/>
-<xsl:param name="profile.separator" select="';'"/>
-<xsl:param name="profile.status" select="''"/>
-<xsl:param name="profile.userlevel" select="''"/>
-<xsl:param name="profile.value" select="''"/>
-<xsl:param name="profile.vendor" select="''"/>
-<xsl:param name="profile.wordsize" select="''"/>
-<xsl:param name="punct.honorific" select="'.'"/>
+<xsl:param name="profile.arch"/>
+<xsl:param name="profile.audience"/>
+<xsl:param name="profile.attribute"/>
+<xsl:param name="profile.condition"/>
+<xsl:param name="profile.conformance"/>
+<xsl:param name="profile.lang"/>
+<xsl:param name="profile.os"/>
+<xsl:param name="profile.revision"/>
+<xsl:param name="profile.revisionflag"/>
+<xsl:param name="profile.role"/>
+<xsl:param name="profile.security"/>
+<xsl:param name="profile.separator">;</xsl:param>
+<xsl:param name="profile.status"/>
+<xsl:param name="profile.userlevel"/>
+<xsl:param name="profile.value"/>
+<xsl:param name="profile.vendor"/>
+<xsl:param name="profile.wordsize"/>
+<xsl:param name="punct.honorific">.</xsl:param>
 <xsl:param name="qanda.defaultlabel">number</xsl:param>
 <xsl:param name="qanda.inherit.numeration" select="1"/>
@@ -342,14 +349,14 @@
 <xsl:param name="refentry.generate.name" select="1"/>
 <xsl:param name="refentry.generate.title" select="0"/>
-<xsl:param name="refentry.separator" select="'1'"/>
+<xsl:param name="refentry.separator" select="1"/>
 <xsl:param name="refentry.xref.manvolnum" select="1"/>
-<xsl:param name="reference.autolabel" select="'I'"/>
+  <xsl:param name="reference.autolabel">I</xsl:param>
 <xsl:param name="refclass.suppress" select="0"/>
-<xsl:param name="root.filename" select="'index'"/>
-<xsl:param name="rootid" select="''"/>
-<xsl:param name="runinhead.default.title.end.punct" select="'.'"/>
-<xsl:param name="runinhead.title.end.punct" select="'.!?:'"/>
+<xsl:param name="root.filename">index</xsl:param>
+<xsl:param name="rootid"/>
+<xsl:param name="runinhead.default.title.end.punct">.</xsl:param>
+<xsl:param name="runinhead.title.end.punct">.!?:</xsl:param>
 <xsl:param name="section.autolabel" select="0"/>
-<xsl:param name="section.autolabel.max.depth" select="8"/>
+<xsl:param name="section.autolabel.max.depth">8</xsl:param>
 <xsl:param name="section.label.includes.component.label" select="0"/>
 <xsl:param name="segmentedlist.as.table" select="0"/>
@@ -360,37 +367,37 @@
 </xsl:attribute-set>
 
-<xsl:param name="show.comments">1</xsl:param>
-<xsl:param name="show.revisionflag">0</xsl:param>
+<xsl:param name="show.comments" select="1"/>
+<xsl:param name="show.revisionflag" select="0"/>
 <xsl:param name="simplesect.in.toc" select="0"/>
-<xsl:param name="spacing.paras" select="'0'"/>
+<xsl:param name="spacing.paras" select="0"/>
 <xsl:param name="suppress.footer.navigation">0</xsl:param>
-<xsl:param name="suppress.header.navigation">0</xsl:param>
-<xsl:param name="suppress.navigation">0</xsl:param>
+<xsl:param name="suppress.header.navigation" select="0"/>
+<xsl:param name="suppress.navigation" select="0"/>
 <xsl:param name="table.borders.with.css" select="0"/>
-<xsl:param name="table.cell.border.color" select="''"/>
-
-<xsl:param name="table.cell.border.style" select="'solid'"/>
-<xsl:param name="table.cell.border.thickness" select="'0.5pt'"/>
-<xsl:param name="table.footnote.number.format" select="'a'"/>
-<xsl:param name="table.footnote.number.symbols" select="''"/>
-<xsl:param name="table.frame.border.color" select="''"/>
-
-<xsl:param name="table.frame.border.style" select="'solid'"/>
-<xsl:param name="table.frame.border.thickness" select="'0.5pt'"/>
-<xsl:param name="tablecolumns.extension" select="'1'"/>
-<xsl:param name="target.database.document" select="''"/>
-<xsl:param name="targets.filename" select="'target.db'"/>
-<xsl:param name="textdata.default.encoding" select="''"/>
-<xsl:param name="tex.math.delims" select="'1'"/>
-<xsl:param name="tex.math.file" select="'tex-math-equations.tex'"/>
-<xsl:param name="tex.math.in.alt" select="''"/>
-<xsl:param name="textinsert.extension" select="'1'"/>
+<xsl:param name="table.cell.border.color"/>
+
+<xsl:param name="table.cell.border.style">solid</xsl:param>
+<xsl:param name="table.cell.border.thickness">0.5pt</xsl:param>
+<xsl:param name="table.footnote.number.format">a</xsl:param>
+<xsl:param name="table.footnote.number.symbols"/>
+<xsl:param name="table.frame.border.color"/>
+
+<xsl:param name="table.frame.border.style">solid</xsl:param>
+<xsl:param name="table.frame.border.thickness">0.5pt</xsl:param>
+<xsl:param name="tablecolumns.extension" select="1"/>
+ <xsl:param name="target.database.document">olinkdb.xml</xsl:param>
+<xsl:param name="targets.filename">target.db</xsl:param>
+<xsl:param name="textdata.default.encoding"/>
+<xsl:param name="tex.math.delims" select="1"/>
+<xsl:param name="tex.math.file">tex-math-equations.tex</xsl:param>
+<xsl:param name="tex.math.in.alt"/>
+  <xsl:param name="textinsert.extension" select="1"/>
 <xsl:param name="toc.list.type">dl</xsl:param>
 <xsl:param name="toc.section.depth">2</xsl:param>
 <xsl:param name="toc.max.depth">8</xsl:param>
-<xsl:param name="ulink.target" select="'_top'"/>
+<xsl:param name="ulink.target">_top</xsl:param>
 <xsl:param name="use.embed.for.svg" select="0"/>
-<xsl:param name="use.extensions" select="'0'"/>
-<xsl:param name="use.id.as.filename" select="'0'"/>
+<xsl:param name="use.extensions" select="0"/>
+<xsl:param name="use.id.as.filename" select="0"/>
 <xsl:param name="use.local.olink.style" select="0"/> 
 <xsl:param name="use.role.as.xrefstyle" select="1"/>
